#ifndef KYBABOUTDIALOG_H
#define KYBABOUTDIALOG_H

#include <QDialog>
#include <QMutex>
#include "kaboutdialog.h"
//namespace Ui {
//class KYBAboutDialog;
//}

class KYBAboutDialog : public kdk::KAboutDialog
{
    Q_OBJECT
public:
    static KYBAboutDialog *instance(QWidget *parent = nullptr);
public:
    void init(){}
    void destroy() { delete this; }
//public slots:
//    void updatePosition(QPoint);
protected:
    void paintEvent(QPaintEvent *event) Q_DECL_OVERRIDE;
private:
    explicit KYBAboutDialog(QWidget *parent = nullptr);
    ~KYBAboutDialog();
private:
    int                    m_iHeight;
    QPoint                 m_oPosition;
private:
    static KYBAboutDialog *m_oInstance;
    static QMutex          m_oMutex;
//private:
//    Ui::KYBAboutDialog *ui;
};
#define ABOUT KYBAboutDialog::instance()
#endif // KYBABOUTDIALOG_H
